## ros-noetic-warthog-description 0.1.6

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(warthog_description)

find_package(catkin REQUIRED COMPONENTS roslaunch)

catkin_package()

roslaunch_add_file_check(launch/description.launch)

install(DIRECTORY meshes launch urdf
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

install(PROGRAMS scripts/env_run
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

=== debian/changelog ===
ros-noetic-warthog-description (0.1.6-1buster) buster; urgency=high

  * Change the GPS plugin reference heading to 90 so it's ENU
  * Add missing xacro tags for ROS Noetic (and backwards compatability)
  * Add GAZEBO_WORLD_{LAT|LON} envars to change the reference coordinate of the robot's integral GPS
  * Contributors: Chris Iverach-Brereton, Joey Yang

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Thu, 12 Jan 2023 05:00:00 -0000

ros-noetic-warthog-description (0.1.5-1buster) buster; urgency=high

  * Add support for WARTHOG_COLOR in gazebo (#18 <https://github.com/warthog-cpr/warthog/issues/18>)
    * Move the headlights & taillights into their own links so we can apply the correct Gazebo materials to them (otherwise the robot looks symmetrical, which is confusing). Start applying different materials to the wheel diff links, depending on the paint colour. Sand & Olive are not yet supported
    * Start trying to implement custom colours for the sand & olive materials. No joy so far.
    * Remove the material scripts; they weren't working anyway. Add the visual tag around the gazebo material, explicitly define the ambient, diffuse, specular, and emissive properties. Add emissive attributes to the headlights & taillights so they actually show up in the dark
    * Add an argument to enable game-controller input via an arg; this makes using the controller inside gazebo easier as we don't need to explicitly define an envar (though that option still exists)
  * Contributors: Chris I-B

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Tue, 18 Jan 2022 05:00:00 -0000

ros-noetic-warthog-description (0.1.4-1buster) buster; urgency=high

  * CPR extras (#17 <https://github.com/warthog-cpr/warthog/issues/17>)
    * cpr_extras
    * cpr_extras
    * remove cpr_extras.urdf
    Co-authored-by: Ebrahim Shahrivar <mailto:eshahrivar@clearpath.ai>
  * Add an envar to set the paint colour of the URDF (#16 <https://github.com/warthog-cpr/warthog/issues/16>)
    * Add the WARTHOG_COLOR envar, with options 'yellow' (default) and 'olive_green'
    * Simplify the paint options, add orange and sand as additional choices based on feedback from sales on the available colours.
  * [warthog_description] Added generator accessory.
  * Contributors: Chris I-B, Ebrahim Shahrivar, Tony Baltovski

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Fri, 16 Jul 2021 04:00:00 -0000

ros-noetic-warthog-description (0.1.3-1buster) buster; urgency=high

  * Bumped CMake version to avoid author warning.
  * Contributors: Tony Baltovski

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Tue, 09 Mar 2021 05:00:00 -0000

ros-noetic-warthog-description (0.1.2-1buster) buster; urgency=high

  * Add the legacy namespace mode attribute to the ros control plugin. This suppresses a warning in gazebo
  * Contributors: Chris I-B

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Thu, 17 Sep 2020 04:00:00 -0000

ros-noetic-warthog-description (0.1.1-1buster) buster; urgency=high

  * Tuned wheel friction to reduce drift when stopped
  * Removed gazebo wheel physics as it was causing strangeness when turning, and defaults seem to work
  * Contributors: Dave Niewinski, L. James Azzalini, Tony Baltovski

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Thu, 18 Jul 2019 04:00:00 -0000

ros-noetic-warthog-description (0.1.0-1buster) buster; urgency=high

  * Lowered the effort and increase the limits to make the diff units more accurate
  * Updated link stl
  * Minor syntax changes for build warnings.  Changed hardware interfaces.  Added inorder processing for xacro
  * Contributors: Dave Niewinski

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Thu, 12 Apr 2018 04:00:00 -0000

ros-noetic-warthog-description (0.0.3-1buster) buster; urgency=high

  * Added track configuration.
  * Added track meshes
  * Contributors: Dave Niewinski, Tony Baltovski

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Thu, 12 Apr 2018 04:00:00 -0000

ros-noetic-warthog-description (0.0.2-1buster) buster; urgency=high

  * Added imu link.  Updated inertias for new links
  * Changed the URDF_EXTRAS variable so it is more flexible for external packages
  * Completely redid most meshes and added the bulkhead and arm mounting point. Added configs for both as well. Took meshes from 4 Mb down to 1 (total)
  * Added Novatel Smart6 GPS accessory and updated localization to use IMU.
  * [warthog_description] Removed joint_state_publisher as run_depend.
  * [warthog_description] Updated URDF colours and links.
  * Fixed missing right suspension link.
  * Contributors: Dave Niewinski, Tony Baltovski

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Thu, 09 Nov 2017 05:00:00 -0000

ros-noetic-warthog-description (0.0.1-1buster) buster; urgency=high

  * Initial commit.
  * Contributors: Tony Baltovski

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Mon, 03 Oct 2016 04:00:00 -0000

=== debian/control ===
Source: ros-noetic-warthog-description
Section: misc
Priority: optional
Maintainer: Tony Baltovski <tbaltovski@clearpathrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin, ros-noetic-roslaunch
Homepage: 
Standards-Version: 3.9.2

Package: ros-noetic-warthog-description
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-robot-state-publisher, ros-noetic-urdf, ros-noetic-xacro
Description: URDF robot description for Warthog

## ros-noetic-warthog-description 0.1.7

=== debian/changelog ===
ros-noetic-warthog-description (0.1.7-1focal) focal; urgency=high

  * added outdoornav enable variable and hardware kit selector for urdf
  * Contributors: José Mastrangelo

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Mon, 05 Jun 2023 04:00:00 -0000

ros-noetic-warthog-description (0.1.6-1focal) focal; urgency=high

  * Change the GPS plugin reference heading to 90 so it's ENU
  * Add missing xacro tags for ROS Noetic (and backwards compatability)
  * Add GAZEBO_WORLD_{LAT|LON} envars to change the reference coordinate of the robot's integral GPS
  * Contributors: Chris Iverach-Brereton, Joey Yang

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Thu, 12 Jan 2023 05:00:00 -0000

ros-noetic-warthog-description (0.1.5-1focal) focal; urgency=high

  * Add support for WARTHOG_COLOR in gazebo (#18 <https://github.com/warthog-cpr/warthog/issues/18>)
    * Move the headlights & taillights into their own links so we can apply the correct Gazebo materials to them (otherwise the robot looks symmetrical, which is confusing). Start applying different materials to the wheel diff links, depending on the paint colour. Sand & Olive are not yet supported
    * Start trying to implement custom colours for the sand & olive materials. No joy so far.
    * Remove the material scripts; they weren't working anyway. Add the visual tag around the gazebo material, explicitly define the ambient, diffuse, specular, and emissive properties. Add emissive attributes to the headlights & taillights so they actually show up in the dark
    * Add an argument to enable game-controller input via an arg; this makes using the controller inside gazebo easier as we don't need to explicitly define an envar (though that option still exists)
  * Contributors: Chris I-B

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Tue, 18 Jan 2022 05:00:00 -0000

ros-noetic-warthog-description (0.1.4-1focal) focal; urgency=high

  * CPR extras (#17 <https://github.com/warthog-cpr/warthog/issues/17>)
    * cpr_extras
    * cpr_extras
    * remove cpr_extras.urdf
    Co-authored-by: Ebrahim Shahrivar <mailto:eshahrivar@clearpath.ai>
  * Add an envar to set the paint colour of the URDF (#16 <https://github.com/warthog-cpr/warthog/issues/16>)
    * Add the WARTHOG_COLOR envar, with options 'yellow' (default) and 'olive_green'
    * Simplify the paint options, add orange and sand as additional choices based on feedback from sales on the available colours.
  * [warthog_description] Added generator accessory.
  * Contributors: Chris I-B, Ebrahim Shahrivar, Tony Baltovski

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Fri, 16 Jul 2021 04:00:00 -0000

ros-noetic-warthog-description (0.1.3-1focal) focal; urgency=high

  * Bumped CMake version to avoid author warning.
  * Contributors: Tony Baltovski

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Tue, 09 Mar 2021 05:00:00 -0000

ros-noetic-warthog-description (0.1.2-1focal) focal; urgency=high

  * Add the legacy namespace mode attribute to the ros control plugin. This suppresses a warning in gazebo
  * Contributors: Chris I-B

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Thu, 17 Sep 2020 04:00:00 -0000

ros-noetic-warthog-description (0.1.1-1focal) focal; urgency=high

  * Tuned wheel friction to reduce drift when stopped
  * Removed gazebo wheel physics as it was causing strangeness when turning, and defaults seem to work
  * Contributors: Dave Niewinski, L. James Azzalini, Tony Baltovski

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Thu, 18 Jul 2019 04:00:00 -0000

ros-noetic-warthog-description (0.1.0-1focal) focal; urgency=high

  * Lowered the effort and increase the limits to make the diff units more accurate
  * Updated link stl
  * Minor syntax changes for build warnings.  Changed hardware interfaces.  Added inorder processing for xacro
  * Contributors: Dave Niewinski

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Thu, 12 Apr 2018 04:00:00 -0000

ros-noetic-warthog-description (0.0.3-1focal) focal; urgency=high

  * Added track configuration.
  * Added track meshes
  * Contributors: Dave Niewinski, Tony Baltovski

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Thu, 12 Apr 2018 04:00:00 -0000

ros-noetic-warthog-description (0.0.2-1focal) focal; urgency=high

  * Added imu link.  Updated inertias for new links
  * Changed the URDF_EXTRAS variable so it is more flexible for external packages
  * Completely redid most meshes and added the bulkhead and arm mounting point. Added configs for both as well. Took meshes from 4 Mb down to 1 (total)
  * Added Novatel Smart6 GPS accessory and updated localization to use IMU.
  * [warthog_description] Removed joint_state_publisher as run_depend.
  * [warthog_description] Updated URDF colours and links.
  * Fixed missing right suspension link.
  * Contributors: Dave Niewinski, Tony Baltovski

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Thu, 09 Nov 2017 05:00:00 -0000

ros-noetic-warthog-description (0.0.1-1focal) focal; urgency=high

  * Initial commit.
  * Contributors: Tony Baltovski

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Mon, 03 Oct 2016 04:00:00 -0000

=== debian/control ===
--- 
+++ 
@@ -8,5 +8,5 @@
 
 Package: ros-noetic-warthog-description
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-robot-state-publisher, ros-noetic-urdf, ros-noetic-xacro
+Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-cpr-onav-description, ros-noetic-robot-state-publisher, ros-noetic-urdf, ros-noetic-xacro
 Description: URDF robot description for Warthog

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-warthog-description//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
